%define lockdir %{_var}/lock/maps
%define modname rutgers_osm

Name:     map-scripts
Version:  0.3.2
Release:  4%{?dist}
Summary:  A collection of scripts for a maps box
Group:    System Environment/Base
License:  BSD
URL:      https://github.com/oss/map-scripts
Source0:      %{name}-%{version}.tar.gz
BuildArch:    noarch

BuildRequires: python-setuptools
Requires:	python-shapely
Requires:	python-lxml
Requires:	osmosis

%description
These scripts pull changes from OpenStreetMaps and merge them into a database,
then sends mail for confirmation.

%prep
%setup -q -n %{name}

%build
%{__python} setup.py build

%install
%{__python} setup.py install --single-version-externally-managed --root=%{buildroot}
mkdir -p %{buildroot}%{python2_sitelib}/%{modname}/wkt
install %{modname}/wkt/* %{buildroot}%{python2_sitelib}/%{modname}/wkt

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/apply-changes
%{_bindir}/generate-changes
%{_bindir}/generate-josm
%{_bindir}/generate-tiles
%{_bindir}/get-new-jersey
%{python2_sitelib}/%{modname}-%{version}-py2.7.egg-info/*
%{python2_sitelib}/%{modname}/wkt/*
%{python2_sitelib}/%{modname}/*
%doc

%changelog
* Wed Oct 26 2016 Alexander Pavel <anp120@nbcs.rutgers.edu> - 0.3.2-4
- Remove unused dependencies

* Wed Oct 26 2016 Alexander Pavel <anp120@nbcs.rutgers.edu> - 0.3.2-3
- Fix postgresql dependency

* Wed Oct 26 2016 Alexander Pavel <anp120@nbcs.rutgers.edu> - 0.3.2-2
- Rebuild for Rutgers CentOS 7

* Wed Mar 02 2016 Matt Robinson <mattro@oit.rutgers.edu> 0.3.2-1
- Version bump

* Wed Mar 02 2016 Matt Robinson <mattro@oit.rutgers.edu> 0.3.1-1
- Version bump

* Tue Mar 01 2016 Matt Robinson <mattro@oit.rutgers.edu> 0.3-1
- Version bump

* Mon Sep 14 2015 Matt Robinson <mattro@nbcs.rutgers.edu> 0.2.6-1
- Version bump

* Fri Aug 27 2015 Matt Robinson <mwr54@nbcs.rutgers.edu> 0.2.4-1
- Version bump

* Tue Apr 14 2015 Matt Robinson <mwr54@nbcs.rutgers.edu> 0.2.3-1
- Version bump

* Fri Feb 20 2015 Matt Robinson <mwr54@nbcs.rutgers.edu> 0.2.1-2
- New version needed osmosis dependency

* Thu Jan 15 2015 Aedan Dispenza <ad778@nbcs.rutgers.edu> 0.2.1-1
- Version bump

* Wed Jan 14 2015 Jungsoo Park <jp1326@nbcs.rutgers.edu> 0.2.0-1
- Upgrade source to version 0.2.0
- Changed Source1 to generate_tiles

* Mon Sep 15 2014 Matt Robinson <mwr54@nbcs.rutgers.edu> 0.1.4-4
- Forgot it in the file section

* Mon Sep 15 2014 Matt Robinson <mwr54@nbcs.rutgers.edu> 0.1.4-3
- Made sure that the lock directory exists

* Thu May 22 2014 Matt Robinson <mwr54@nbcs.rutgers.edu> 0.1.4-2
- Added get-new-jersey

* Thu May 22 2014 Matt Robinson <mwr54@nbcs.rutgers.edu> 0.1.4-1
- Version bump

* Fri Apr 29 2014 Matt Robinson <mwr54@nbcs.rutgers.edu> 0.1.3-1
- Version bump

* Fri Apr 29 2014 Matt Robinson <mwr54@nbcs.rutgers.edu> 0.1.2-1
- Version bump

* Fri Apr 18 2014 Aedan Dispenza <ad778@nbcs.rutgers.edu> 0.1.1-1
- Minor change

* Fri Apr 11 2014 Matt Robinson <mwr54@nbcs.rutgers.edu> 0.1.0-3
- Needed to rename a file because of a conflict

* Fri Apr 11 2014 Kyle Suarez <kds124@nbcs.rutgers.edu> 1.0.2
- Wrong dependency name

* Fri Apr 11 2014 Kyle Suarez <kds124@nbcs.rutgers.edu> 1.0.1
- First build
